LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
LIBRARY altera;
USE altera.maxplus2.all;

ENTITY register_for_timing IS
	GENERIC (
		N : INTEGER := 4
	);
	PORT (
		clock : IN STD_LOGIC;	
		input : IN STD_LOGIC_VECTOR (N-1 DOWNTO 0);
		output : OUT STD_LOGIC_VECTOR (N-1 DOWNTO 0)
	);
END ENTITY;

ARCHITECTURE structural OF register_for_timing IS
BEGIN
	main:
	PROCESS BEGIN
		WAIT UNTIL clock'EVENT AND clock = '1';
		output <= input;
	END PROCESS;
END ARCHITECTURE;
